OGRE-Next: Ogre::D3D11StereoDriverImpl Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::D3D11StereoDriverImpl Class Referenceabstract

Virtual interface of the stereo driver. More...

`#include <OgreD3D11StereoDriverImpl.h>`

Inheritance diagram for Ogre::D3D11StereoDriverImpl:
[legend]

## Public Member Functions
| D3D11StereoDriverImpl ()
virtual | ~D3D11StereoDriverImpl ()
virtual bool | addRenderWindow (D3D11RenderWindowBase *renderWindow)=0
virtual bool | isStereoEnabled (const String &renderWindowName)=0
virtual bool | removeRenderWindow (const String &renderWindowName)=0
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)=0

## Detailed Description

Virtual interface of the stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D11StereoDriverImpl()

Ogre::D3D11StereoDriverImpl::D3D11StereoDriverImpl | ( |  | ) |
| inline

## ◆ ~D3D11StereoDriverImpl()

virtual Ogre::D3D11StereoDriverImpl::~D3D11StereoDriverImpl | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D11StereoDriverImpl::addRenderWindow | ( | D3D11RenderWindowBase * | renderWindow | ) |
| pure virtual

Implemented in Ogre::D3D11StereoDriverAMD, and Ogre::D3D11StereoDriverNVIDIA.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D11StereoDriverImpl::isStereoEnabled | ( | const String & | renderWindowName | ) |
| pure virtual

Implemented in Ogre::D3D11StereoDriverAMD, and Ogre::D3D11StereoDriverNVIDIA.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D11StereoDriverImpl::removeRenderWindow | ( | const String & | renderWindowName | ) |
| pure virtual

Implemented in Ogre::D3D11StereoDriverAMD, and Ogre::D3D11StereoDriverNVIDIA.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D11StereoDriverImpl::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| pure virtual

Implemented in Ogre::D3D11StereoDriverAMD, and Ogre::D3D11StereoDriverNVIDIA.

The documentation for this class was generated from the following file:

- OgreD3D11StereoDriverImpl.h